import Vue from 'vue'
import App from './App'
import uView from "uview-ui";
import store from "@/common/store";
import {
	router,
	RouterMount
} from "@/common/router";
import common from "@/common";
import TuniaoUI from 'tuniao-ui';
import Tuniaostore from './store';
import ws from "@/store/ws.js";
import base64 from '@/store/base64';
let vuexStore = require('@/store/$t.mixin.js');

// 引入数字人请求封装 
require('./utils/request/index')(app)


// import req from '@/common/request/apis.js'
// console.log('12213', req.userInfo.info);
async function bootstrap() {
	App.mpType = "app";
	//引入路由
	Vue.use(router);
	// 引入全局uView
	Vue.use(uView);
	// 加载common
	Vue.use(common);
	Vue.prototype.$ws = ws;
	Vue.prototype.$base64 = base64;
	// 引入全局图鸟ui
	Vue.use(TuniaoUI);
	Vue.mixin(vuexStore);
	const app = new Vue({
		store,
		Tuniaostore,
		...App
	});
	// #ifdef H5
	RouterMount(app, router, "#app");
	// #endif
	// #ifndef H5
	app.$mount();
	// #endif
}

bootstrap();